Description

Oracle provider is able to retrieve table comment, as shown in the source code, in src/provider/oracle/qgsoracleprovider.cpp .

In my Oracle Spatial repository, we use materialized views a lot. As QGis is able to reach table comment, I believe it should also retrieve

materialized views comments.

To do this, QGis should also query the ALL_MVIEW_COMMENTS table to get this information from Oracle.

I hope there will be not too much code modification to handle this case. Thanks for fixing this...

Associated revisions

Revision 3978bff4 - 2014-04-19 10:14 PM - Jürgen Fischer

oracle provider:

    -  retrieve comment of materialized views (implements #10063)

    -  use detected srid (fixes #10091)

    -  initialize mUseEstimatedMetadata (fixes #10092)

    -  also consider username in temporary saved credentials (fixes #10093)

History

#1 - 2014-04-18 10:10 AM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/Oracle

#2 - 2014-04-19 09:30 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#3 - 2014-04-19 01:15 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3978bff44709dd251f1739b441a5934f06653011".
https://github.com/qgis/QGIS/blob/master/src/providers/oracle/qgsoracleprovider.cpp#L542

